GLM 0.9.5

- Main Page
- Related Pages
- Modules
- Namespaces
- Files

Functions
GLM_GTX_gradient_paint
GTX Extensions (Experimental)

## Functions
template<typename T , precision P>
T | linearGradient (detail::tvec2< T, P > const &Point0, detail::tvec2< T, P > const &Point1, detail::tvec2< T, P > const &Position)
template<typename T , precision P>
T | radialGradient (detail::tvec2< T, P > const &Center, T const &Radius, detail::tvec2< T, P > const &Focal, detail::tvec2< T, P > const &Position)

## Detailed Description

Functions that return the color of procedural gradient for specific coordinates.

<glm/gtx/gradient_paint.hpp> need to be included to use these functionalities.

## Function Documentation

T glm::linearGradient | ( | detail::tvec2< T, P > const & | Point0,
|  | detail::tvec2< T, P > const & | Point1,
|  | detail::tvec2< T, P > const & | Position
| ) |  |

Return a color from a linear gradient.

See Also
  - GLM_GTX_gradient_paint

T glm::radialGradient | ( | detail::tvec2< T, P > const & | Center,
|  | T const & | Radius,
|  | detail::tvec2< T, P > const & | Focal,
|  | detail::tvec2< T, P > const & | Position
| ) |  |

Return a color from a radial gradient.

See Also
  - GLM_GTX_gradient_paint